Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002049 [JEDI VCL] 00 JVCL Components major always 2004-08-11 05:54 2004-11-30 03:58
Reporter anonymous View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002049: JvDBTreeView
Description If table is ampty, on insert I got exception.
In
procedure TCustomJvDBTreeView.KeyDown(var Key: Word; Shift: TShiftState);
I changed, added:
          //Add
          //Pataisyta
          if Selected = nil then
            AddChildNode(nil, True).EditText
          else
            AddChildNode(Selected.Parent, True).EditText;
          end;
          //Pataisyta
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0002050closed JvDBTreeView 

-  Notes
(0005035)
AHUser (developer)
2004-08-20 07:02

I can't see the problem. "Selected" is garanteed to be not NIL in the "//Add" section.

Excerpt of the TJvCustomTreeView KeyDown method:

    VK_INSERT:
      if not IsEditing then
      begin
        FSelNode := Selected;
        if not Assigned(Selected) or ([ssAlt] = Shift) then
          //AddChild
          AddChildNode(Selected, True).EditText
        else
          //Add
          AddChildNode(Selected.Parent, True).EditText;
      end;
(0005661)
obones (administrator)
2004-11-19 00:59

Please try with the latest zip files available here:

http://jvcl.sf.net/daily/ [^]
http://jcl.sf.net/daily/ [^]

If we don't hear from you in the next 7 days, we will consider this issue fixed.
(0005765)
obones (administrator)
2004-11-30 03:58

It has been 11 days, this issue is now considered as resolved. Please post a new one should you think this is not the case.

- Issue History
Date Modified Username Field Change
2004-08-11 05:54 anonymous New Issue
2004-08-20 07:02 AHUser Note Added: 0005035
2004-08-20 07:02 AHUser Status new => feedback
2004-10-01 00:09 obones Relationship added has duplicate 0002050
2004-11-19 00:59 obones Note Added: 0005661
2004-11-30 03:58 obones Status feedback => resolved
2004-11-30 03:58 obones Resolution open => fixed
2004-11-30 03:58 obones Assigned To => obones
2004-11-30 03:58 obones Note Added: 0005765
2004-11-30 03:58 obones Assigned To obones =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker